Want to replace the modified face with original face

Hello… I want to replace the modified face with original face such that original face should not be seen in model but in my model both faces are being seen together and modified face is obtaining as one object

Capture3

Here is code

RhinoDoc activeDoc = RhinoDoc.ActiveDoc;
IEnumerable brepObjects = activeDoc.Objects.GetObjectList(ObjectType.Brep);
RhinoObject object1 = brepObjects.ElementAt(0);
bool hasBrepForm = object1.Geometry.HasBrepForm;
Brep brepBody = Brep.TryConvertBrep(object1.Geometry);

        BrepFace face1 = brepBody.Faces.ElementAt(1);

        NurbsSurface nurbsSurface = face1.ToNurbsSurface();

        NurbsSurfacePointList controlPoints = nurbsSurface.Points;


        int uIndex = 1;
        int vIndex = 0;


        ControlPoint controlPoint = controlPoints.GetControlPoint(uIndex, vIndex);
        double offsetX = 10.0;
        controlPoint.Location = controlPoint.Location + new Vector3d(0, 0, offsetX);
        controlPoints.SetControlPoint(uIndex, vIndex, controlPoint);

        controlPoints.SetWeight(uIndex, vIndex, 0.0);

        Brep modifiedBrep = brepBody.Duplicate() as Brep;

        modifiedBrep.Faces.RemoveAt(1);
        modifiedBrep.Faces.Add(nurbsSurface);
        activeDoc.Objects.Replace(object1.Id, modifiedBrep);
      activeDoc.Views.Redraw();
        object1.CommitChanges();

What does this return?

– Dale

Return a new surface as a separate brep